Subject: Re: [bug#65668] [PATCH] gnu: gst-plugins-bad: Remove the svt-hevc input.

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 02 Sep 2023 06:59:29 +0200

Am Freitag, dem 01.09.2023 um 21:51 -0400 schrieb Maxim Cournoyer:
> Hi Liliana,
> 
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > Am Donnerstag, dem 31.08.2023 um 23:08 -0400 schrieb Maxim
> > Cournoyer:
> > > * gnu/packages/gstreamer.scm (gst-plugins-bad)
> > > [inputs]: Remove svt-hevc; add comment.
> > > ---
> > >  gnu/packages/gstreamer.scm | 4 +++-
> > >  1 file changed, 3 insertions(+), 1 deletion(-)
> > > 
> > > diff --git a/gnu/packages/gstreamer.scm
> > > b/gnu/packages/gstreamer.scm
> > > index 86886c025f..f38d2157bd 100644
> > > --- a/gnu/packages/gstreamer.scm
> > > +++ b/gnu/packages/gstreamer.scm
> > > @@ -849,7 +849,9 @@ (define-public gst-plugins-bad
> > >      (inputs
> > >       (append
> > >        (if (target-x86?) (list mediasdk) '())
> > > -      (if (target-x86-64?) (list svt-hevc) '())
> > > +      ;; Note: svt-hevc cannot be used, as it would break the
> > > package for
> > > +      ;; older x86_64 CPUs such as Core 2 Duo that lack AVX2
> > > (see:
> > > +      ;;
> > > https://github.com/OpenVisualCloud/SVT-HEVC/issues/573#issuecomment-680678144
> > > ).
> > >        (list bluez
> > >              bzip2
> > >              cairo
> > I think you should put that comment above the commented existing
> > line rather than deleting it outright.  We should also look into
> > building svt-hevc without those CPU extensions; perhaps using
> > tuning instead.
> 
> It's not possible to build svt-hevc without those extensions: they
> are depended upon.  Because it can't be used, I think it makes sense
> to not leave dead code (since it's not going to be resolved in the
> future and re-enabled).
Looking at the code of svt-hevc, these additional libraries appear to
be just adding versions of the methods already implemented in C.

You might want to look into commenting the following lines

add_subdirectory(ASM_SSE2)
add_subdirectory(ASM_SSSE3)
add_subdirectory(ASM_SSE4_1)
add_subdirectory(ASM_AVX2)

HTH

> > The comment could itself be shortened to 
> >   svt-hevc is broken on older x86_64 CPUs [such as…]
> >   see also <URL>
> > but you do you in terms of phrasing :)
> 
> :-)  I've moved things a bit.  Is it a 'LGTM' from you?
Well, I'd rather keep the svt-hevc issue above open than concluding it
cannot be done, but otherwise, yes, LGTM.

Cheers